/**********************************************************************/
/* The Minstrel's Song is (c) 1998 by Jonathan Hayward.  See the file */
/* lib/copyrigh.txt for a copyright and license statement.            */
/**********************************************************************/

#include "tms.h"

long armor[NUM_DIST_SLOTS][3] = 
    {
    { ARMOR_FINE, 1, 0 },
    { ARMOR_NORMAL, 0, 1 },
    { ARMOR_NORMAL_FINE, 0, 5 },
    { BOOTS, 5, 0 },
    { BRACERS, 1, 3 },
    { BRACERS_TITANIUM, 0, 1 },
    { CAMOUFLAGE_CLOAK, 1, 2 },
    { CLOAK, 5, 0 },
    { CHAIN_MAIL, 2, 1 },
    { CHAIN_MAIL_FEATHER, 0, 1 },
    { HELM_IRON, 2, 2 },
    { HELM_LEATHER, 5, 0 },
    { LEATHER_ARMOR, 2, 0 },
    { LEATHER_VEST, 3, 0 },
    { PLATE_ARMOR_HEAVY, 1, 1 },
    { PLATE_ARMOR_LIGHT, 0, 1 },
    { SHIELD_LARGE, 1, 3 },
    { SHIELD_MEDIUM, 3, 1 },
    { SHIELD_SMALL, 5, 0 },
    { SOFT_BOOTS, 0, 2 },
    { SPIDER_SILK_ROBE, 0, 1 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 }
    };

long device[NUM_DIST_SLOTS][3] = 
    {
    { BELAYING_DEVICE, 2, 1 },
    { CALCULATOR, 2, 5 },
    { CHEST_LARGE, 1, 4 },
    { CHEST_MEDIUM, 2, 2 },
    { CHEST_SMALL, 4, 1 },
    { CLOCK, 3, 1 },
    { CLOCKWORK_DEVICE, 0, 0 }, /* At least until more device effects are */
		    /* defined. */
    { COMPASS, 1, 1 },
    { DEVICE_FINE, 1, 0 },
    { DEVICE_NORMAL, 0, 5 },
    { DEVICE_NORMAL_FINE, 0, 5 },
    { FISHING_ROD, 1, 1 },
    { FOLDING_BOAT, 1, 3 },
    { HOT_AIR_BALLOON, 0, 1 },
    { HUMMER, 3, 1 },
    { JUGGERNAUT, 0, 1 },
    { LANTERN, 5, 1 },
    { LIGHTER, 1, 1 },
    { LOCK_PICKS, 1, 1 },
    { MEDICAL_KIT, 5, 1 },
    { MUSIC_BOX, 3, 2 },
    { ORGAN, 1, 3 },
    { PEN, 5, 1 },
    { SAILBOAT, 0, 1 },
    { SCUBA, 1, 1 },
    { SHIP, 0, 1 },
    { STAFF_CLIMB, 1, 1 },
    { STAFF_DART, 1, 1 },
    { STAFF_LANTERN, 3, 1 },
    { STAFF_ROCKET, 0, 1 },
    { SUBMARINE, 0, 1 },
    { SYRINGE, 2, 1 },
    { TINDERBOX, 5, 0 },
    { TOOL_KIT, 3, 2 },
    { WATCH, 3, 5 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 }
    };

long furniture[NUM_DIST_SLOTS][3] = 
    {
    { BED, 5, 1 },
    { CABINET, 3, 2 },
    { CHAIR, 10, 2 },
    { CHEST_LARGE, 2, 5 },
    { CHEST_MEDIUM, 2, 2 },
    { CHEST_SMALL, 1, 0 },
    { FURNITURE_FINE, 1, 0 },
    { FURNITURE_NORMAL, 0, 5 },
    { FURNITURE_NORMAL_FINE, 0, 5 },
    { ORGAN, 0, 1 },
    { SHELVES, 5, 1 },
    { TABLE, 5, 2 },
    { TAPESTRY, 3, 5 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 }
    };

long liquid[NUM_DIST_SLOTS][3] = 
    {
    { ADRENALINE, 0, 1 },
    { ANTIDOTE, 1, 1 },
    { BEER, 5, 1 },
    { COFFEE, 2, 1 },
    { COFISA_TEA, 0, 1 },
    { CORDIAL, 2, 1 },
    { HELSRIANA_TEA, 0, 1 },
    { JUICE, 5, 0 },
    { KHOOR, 3, 1 },
    { LIQUID_FINE, 1, 0 },
    { LIQUID_NORMAL, 0, 1 },
    { LIQUID_NORMAL_FINE, 0, 3 },
    { OIL, 5, 1 },
    { PERFUME, 0, 1 },
    { POISON_WEAK, 3, 0 },
    { POISON_MODERATE, 2, 1 },
    { POISON_STRONG, 1, 2 },
    { POISON_VERY_STRONG, 0, 1 },
    { POISON_EXTREMELY_STRONG },
    { WATER, 10, 0 },
    { WINE, 7, 3 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 }
    };

long natural[NUM_DIST_SLOTS][3] = 
    {
    { FIREWOOD, 5, 1 },
    { FOOD, 5, 3 },
    { GEM, 0, 1 },
    { MORTAL_REMAINS, 3, 1 },
    { NATURAL_FINE, 1, 0 },
    { NATURAL_NORMAL, 0, 1 },
    { NATURAL_NORMAL_FINE, 0, 1 },
    { STONE, 5, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 }
    };

long non_device_equipment[NUM_DIST_SLOTS][3] =
    {
    { ANTIDOTE, 1, 2 },
    { BACKPACK, 5, 1 },
    { BOTTLE, 4, 2 },
    { CATS_CLAW, 1, 3 },
    { CLOTHING, 5, 0 },
    { CROWBAR, 1, 1 },
    { EARHORN, 2, 4 },
    { FISHING_NET, 5, 2 },
    { FLASK, 5, 3 },
    { FLUTE, 1, 4 },
    { HARP, 1, 5 },
    { HERBAL_MEDICINES, 2, 5 },
    { KEY, 2, 5 },
    { LUTE, 2, 5 },
    { MANUAL_OF_SKILL, 0, 1 },
    { NON_DEVICE_EQUIPMENT_FINE, 1, 0 },
    { NON_DEVICE_EQUIPMENT_NORMAL, 0, 1 },
    { NON_DEVICE_EQUIPMENT_NORMAL_FINE, 0, 5 },
    { PAPER, 5, 1 },
    { PLATE, 1, 1 },
    { POUCH, 3, 0 },
    { QUIVER, 4, 2 },
    { ROPE_GRAPPLING_HOOK, 5, 2 },
    { SKIN, 10, 0 },
    { WINTER_CLOTHING, 2, 2 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 }
    };

long non_equipment_treasure[NUM_DIST_SLOTS][3] = 
    {
    { AMULET, 1, 3 },
    { BOOK, 1, 5 },
    { BRAZIER, 2, 2 },
    { CANDLESTICK, 4, 0 },
    { CHALICE, 1, 3 },
    { CLOTHING, 5, 0 },
    { CROWN, 0, 1 },
    { GEM, 5, 10 },
    { HORN, 3, 1 },
    { INCENSE, 1, 3 },
    { JANRA_BALL, 1, 1 },
    { JEWELRY, 5, 5 },
    { MIRROR, 3, 1 },
    { NON_EQUIPMENT_TREASURE_FINE, 5, 0 },
    { NON_EQUIPMENT_TREASURE_NORMAL, 0, 5 },
    { NON_EQUIPMENT_TREASURE_NORMAL_FINE, 0, 5 },
    { RING, 3, 1 },
    { SCEPTRE, 0, 1 },
    { SCROLL, 1, 1 },
    { SPICES, 1, 3 },
    { STATUETTE, 1, 3 },
    { TAPESTRY, 4, 5 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 }
    };

long supplies[NUM_DIST_SLOTS][3] = 
    {
    { BEER, 5, 1 },
    { CANDLE, 10, 0 },
    { FIREWOOD, 4, 0 },
    { FOOD, 5, 2 },
    { OIL, 2, 5 },
    { POISON_WEAK, 2, 1 },
    { POISON_MODERATE, 1, 2 },
    { POISON_STRONG, 0, 3 },
    { POISON_VERY_STRONG, 0, 2 },
    { POISON_EXTREMELY_STRONG, 0, 1},
    { RATION, 10, 3 },
    { SUPPLIES_FINE, 1, 0 },
    { SUPPLIES_NORMAL, 0, 5 },
    { SUPPLIES_NORMAL_FINE, 0, 5 },
    { TORCH, 5, 0 },
    { WATER, 10, 0 },
    { WINE, 3, 5 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 }
    };

long weapon[NUM_DIST_SLOTS][3] = 
    {
    { AXE, 5, 0 },
    { CROSSBOW, 2, 3 },
    { CROSSBOW_PUMP, 0, 1 },
    { CROSSBOW_PUMP_SIGHTED, 0, 1 },
    { CROSSBOW_SIGHTED, 0, 1 },
    { CROSSBOW_SPRAY, 0, 1 },
    { CROSSBOW_BOLT, 5, 3 },
    { CROSSBOW_BOLT_EXPLODING, 0, 1 },
    { CROSSBOW_BOLT_POISON, 0, 1 },
    { DAGGER, 5, 0 },
    { DAGGER_POISON, 1, 1 },
    { FIRESTAR, 0, 1 },
    { HALBERD, 2, 1 },
    { LONGBOW, 3, 1 },
    { LONGBOW_ARROW, 5, 1 },
    { LONGSWORD, 2, 3 },
    { MACE, 1, 2 },
    { POISON_WEAK, 3, 1 },
    { POISON_MODERATE, 2, 2 },
    { POISON_STRONG, 1, 3 },
    { POISON_VERY_STRONG, 0, 2 },
    { POISON_EXTREMELY_STRONG, 0, 1 },
    { RAPIER, 1, 3 },
    { TWO_HANDED_SWORD, 1, 3 },
    { WEAPON_FINE, 1, 0 },
    { WEAPON_NORMAL, 0, 1 },
    { WEAPON_NORMAL_FINE, 0, 5 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 }
    };

/* Now we have the tables for building, cavern, outdoors, etc. */

long building_item[NUM_DIST_SLOTS][3] = 
    {
    { ARMOR_FINE, 1, 3 },
    { ARMOR_NORMAL, 3, 1 },
    { ARMOR_NORMAL_FINE, 0, 0 },
    { DEVICE_FINE, 1, 5 },
    { DEVICE_NORMAL, 5, 1 },
    { DEVICE_NORMAL_FINE, 0, 0 },
    { FURNITURE_FINE, 2, 10 },
    { FURNITURE_NORMAL, 10, 2 },
    { FURNITURE_NORMAL_FINE, 0, 2 },
    { LIQUID_FINE, 0, 2 },
    { LIQUID_NORMAL, 2, 0 },
    { LIQUID_NORMAL_FINE, 0, 0 },
    { NATURAL_FINE, 0, 1 },
    { NATURAL_NORMAL, 1, 0 },
    { NATURAL_NORMAL_FINE, 0, 0 },
    { NON_DEVICE_EQUIPMENT_FINE, 1, 3 },
    { NON_DEVICE_EQUIPMENT_NORMAL, 3, 1 },
    { NON_DEVICE_EQUIPMENT_NORMAL_FINE, 0, 0 },
    { NON_EQUIPMENT_TREASURE_FINE, 1, 5 },
    { NON_EQUIPMENT_TREASURE_NORMAL, 5, 1 },
    { NON_EQUIPMENT_TREASURE_NORMAL_FINE, 0, 0 },
    { SUPPLIES_FINE, 1, 5 },
    { SUPPLIES_NORMAL, 5, 1 },
    { SUPPLIES_NORMAL_FINE, 0, 0 },
    { WEAPON_FINE, 0, 2 },
    { WEAPON_NORMAL, 2, 0 },
    { WEAPON_NORMAL_FINE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 },
    { NONE, 0, 0 }
    };
